summaryrefslogtreecommitdiffstats
path: root/network/cowpatty/cowpatty.SlackBuild
diff options
context:
space:
mode:
author Dominik Drobek <dominik.drobek (at) o2.pl>2018-11-21 06:36:05 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-11-24 12:35:24 +0700
commitb2805c385f27e98b0ce8aaf6b815734517a40e8a (patch)
tree405dabdbcf98d90a248e96fda10ff5916f65b957 /network/cowpatty/cowpatty.SlackBuild
parentf0cba67decc455bb1ec597c394f32511c3c40d10 (diff)
downloadslackbuilds-b2805c385f27e98b0ce8aaf6b815734517a40e8a.tar.gz
slackbuilds-b2805c385f27e98b0ce8aaf6b815734517a40e8a.tar.xz
network/cowpatty: Updated for version 4.8.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/cowpatty/cowpatty.SlackBuild')
-rw-r--r--network/cowpatty/cowpatty.SlackBuild15
1 files changed, 12 insertions, 3 deletions
diff --git a/network/cowpatty/cowpatty.SlackBuild b/network/cowpatty/cowpatty.SlackBuild
index 6ed0cf0fb3..230c3e91f9 100644
--- a/network/cowpatty/cowpatty.SlackBuild
+++ b/network/cowpatty/cowpatty.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for cowpatty
-# Copyright 2011-2016 Dominik Drobek <dominik.drobek (at) o2.pl>
+# Copyright 2011-2018 Dominik Drobek <dominik.drobek (at) o2.pl>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=cowpatty
-VERSION=${VERSION:-4.6}
+VERSION=${VERSION:-4.8}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,9 +69,18 @@ find -L . \
sed -i 14s/"-g3 -ggdb"/"-g3 -ggdb ${SLKCFLAGS}"/ Makefile
make -j1
-make strip
make install BINDIR=/usr/bin DESTDIR=$PKG
+# Makefile doesn't provide a target for installing manuals
+mkdir -p $PKG/usr/man/man1
+cp -a cowpatty.1 genpmk.1 $PKG/usr/man/man1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \
AUTHORS CHANGELOG COPYING FAQ INSTALL README TODO dict file_magic *.dump \